package org.jboss.soa.esb.samples.quickstarts.bpm_orchestration5.esb_actions;

import org.jboss.soa.esb.actions.AbstractActionPipelineProcessor;
import org.jboss.soa.esb.helpers.ConfigTree;
import org.jboss.soa.esb.actions.ActionProcessingException;
import org.jboss.soa.esb.message.Message;
import org.apache.log4j.Logger;

public class SetupKey extends AbstractActionPipelineProcessor {
	private Logger logger = Logger.getLogger(SetupKey.class);
	protected ConfigTree _config;

	public SetupKey(ConfigTree config) {
		_config = config;
	}

	public Message process(Message message)throws ActionProcessingException  {
		String key = (String) message.getBody().get("businessKey");
		logger.info("Before: " + key);
		if (key != null && key.equals("0"))
			key = "" + System.currentTimeMillis();
		logger.info("After: " + key);
		message.getBody().add("businessKey",key);
		return message;
	}
}
